/*
 * Copyright 2006 Takahiro Nakamura.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND,
 * either express or implied. See the License for the specific language
 * governing permissions and limitations under the License.
 */
package woolpack.ee.mock;

import java.io.BufferedReader;
import java.io.IOException;
import java.io.UnsupportedEncodingException;
import java.util.Enumeration;
import java.util.Locale;
import java.util.Map;

import javax.servlet.RequestDispatcher;
import javax.servlet.ServletInputStream;
import javax.servlet.ServletRequest;

public class MockServletRequest implements ServletRequest {

	public Object getAttribute(final String arg0) {

		return null;
	}

	public Enumeration getAttributeNames() {

		return null;
	}

	public String getCharacterEncoding() {

		return null;
	}

	public void setCharacterEncoding(final String arg0)
			throws UnsupportedEncodingException {

	}

	public int getContentLength() {

		return 0;
	}

	public String getContentType() {

		return null;
	}

	public ServletInputStream getInputStream() throws IOException {

		return null;
	}

	public String getParameter(final String arg0) {

		return null;
	}

	public Enumeration getParameterNames() {

		return null;
	}

	public String[] getParameterValues(final String arg0) {

		return null;
	}

	public Map getParameterMap() {

		return null;
	}

	public String getProtocol() {

		return null;
	}

	public String getScheme() {

		return null;
	}

	public String getServerName() {

		return null;
	}

	public int getServerPort() {

		return 0;
	}

	public BufferedReader getReader() throws IOException {

		return null;
	}

	public String getRemoteAddr() {

		return null;
	}

	public String getRemoteHost() {

		return null;
	}

	public void setAttribute(final String arg0, final Object arg1) {

	}

	public void removeAttribute(final String arg0) {

	}

	public Locale getLocale() {

		return null;
	}

	public Enumeration getLocales() {

		return null;
	}

	public boolean isSecure() {

		return false;
	}

	public RequestDispatcher getRequestDispatcher(final String arg0) {

		return null;
	}

	public String getRealPath(final String arg0) {

		return null;
	}

	public int getRemotePort() {

		return 0;
	}

	public String getLocalName() {

		return null;
	}

	public String getLocalAddr() {

		return null;
	}

	public int getLocalPort() {

		return 0;
	}
}
